Add script to launch acceptance tests
diff --git a/scripts/test-all.sh b/scripts/test-all.sh
new file mode 100755
index 0000000..e4afbd2
--- /dev/null
+++ b/scripts/test-all.sh
@@ -0,0 +1,24 @@
+#!/bin/bash
+#
+# This script is responsible for executing all the acceptance tests found in
+# the acceptance/ directory.
+
+# Find where _this_ script is running from.
+SCRIPTS=$(dirname $0)
+SCRIPTS=$(cd $SCRIPTS; pwd)
+
+# Locate the acceptance test / examples directory.
+ACCEPTANCE=$(cd $SCRIPTS/../acceptance; pwd)
+
+# Run all acceptance tests sequentially.
+# If any test fails, we fail fast.
+for T in $(ls -1 $ACCEPTANCE); do
+  if [ -x $ACCEPTANCE/$T ]; then
+    echo "$ACCEPTANCE/$T -quiet ..."
+    if ! $ACCEPTANCE/$T -quiet ; then
+      echo "- FAILED.  Try re-running w/out the -quiet option to see output."
+      exit 1
+    fi
+  fi
+done
+